Bug 139402 - AX: [ATK] MathML tokens, tables, and row-like elements are exposed with ATK_ROLE_UNKNOWN
Summary: AX: [ATK] MathML tokens, tables, and row-like elements are exposed with ATK_R...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks: 71742
  Show dependency treegraph
 
Reported: 2014-12-08 09:03 PST by Joanmarie Diggs (irc: joanie)
Modified: 2014-12-11 23:52 PST (History)
6 users (show)

See Also:


Attachments
Patch (10.09 KB, patch)
2014-12-08 09:20 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-10 for mac-mountainlion-wk2 (523.06 KB, application/zip)
2014-12-08 10:46 PST, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion (520.04 KB, application/zip)
2014-12-08 11:02 PST, Build Bot
no flags Details
Patch (20.07 KB, patch)
2014-12-09 02:52 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2014-12-08 09:03:22 PST
MathML tokens, tables, and row-like elements should not be exposed with ATK_ROLE_UNKNOWN. Ultimately, these elements should be exposed using ATK subroles which currently do not exist but will hopefully be coming soon (tm). In the meantime, exposing these elements with a reasonable known AtkRole will be quite helpful.
Comment 1 Radar WebKit Bug Importer 2014-12-08 09:03:41 PST
<rdar://problem/19176431>
Comment 2 Joanmarie Diggs (irc: joanie) 2014-12-08 09:20:24 PST
Created attachment 242820 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2014-12-08 09:24:07 PST
A couple things about the patch I just attached:

1. The layout test suggests things are still being mapped to ATK_ROLE_UNKNOWN. That is because the platform bots are not yet using a new-enough version of ATK to have ATK_ROLE_STATUS (see bug 139070).

2. There is not yet updated Mac expectations. I'm traveling at the moment and didn't pack my iMac. ;) EWS should hopefully spit up with test text diffs for the Mac which I can use to do a new patch with updated Mac expectations.
Comment 4 Build Bot 2014-12-08 10:46:23 PST
Comment on attachment 242820 [details]
Patch

Attachment 242820 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/4937364036124672

New failing tests:
accessibility/roles-exposed.html
Comment 5 Build Bot 2014-12-08 10:46:26 PST
Created attachment 242828 [details]
Archive of layout-test-results from webkit-ews-10 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-10  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 6 Build Bot 2014-12-08 11:02:50 PST
Comment on attachment 242820 [details]
Patch

Attachment 242820 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5591009740193792

New failing tests:
accessibility/roles-exposed.html
Comment 7 Build Bot 2014-12-08 11:02:53 PST
Created attachment 242831 [details]
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-06  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 8 Joanmarie Diggs (irc: joanie) 2014-12-09 02:52:19 PST
Created attachment 242901 [details]
Patch
Comment 9 Joanmarie Diggs (irc: joanie) 2014-12-09 04:14:21 PST
Chris, when you get a chance could you please review this? Thanks!
Comment 10 WebKit Commit Bot 2014-12-09 10:31:23 PST
Comment on attachment 242901 [details]
Patch

Clearing flags on attachment: 242901

Committed r177025: <http://trac.webkit.org/changeset/177025>
Comment 11 WebKit Commit Bot 2014-12-09 10:31:28 PST
All reviewed patches have been landed.  Closing bug.